Xalan-Java 2.7.1: Class DecimalToRoman

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.transformer
Class DecimalToRoman

    java.lang.Object
      |
      +--org.apache.xalan.transformer.DecimalToRoman

public class DecimalToRoman
extends java.lang.Object

Structure to help in converting integers to roman numerals

Usage:
  **For internal use only**

Field Summary
`java.lang.String` | `m_postLetter` Correspoding letter (roman) to m_postValue
`long` | `m_postValue` Minimum value for a given range of roman numbers
`java.lang.String` | `m_preLetter` Correspoding letter (roman) to m_preValue
`long` | `m_preValue` Value of last prefixed number within that same range

Constructor Summary
`DecimalToRoman(long postValue, java.lang.String postLetter, long preValue, java.lang.String preLetter)` Constructor DecimalToRoman

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_postValue

    public long m_postValue

  Minimum value for a given range of roman numbers

### m_postLetter

    public java.lang.String m_postLetter

  Correspoding letter (roman) to m_postValue

### m_preValue

    public long m_preValue

  Value of last prefixed number within that same range

### m_preLetter

    public java.lang.String m_preLetter

  Correspoding letter (roman) to m_preValue

Constructor Detail

### DecimalToRoman

    public DecimalToRoman(long postValue,
                          java.lang.String postLetter,
                          long preValue,
                          java.lang.String preLetter)

  Constructor DecimalToRoman
  Parameters:
    `postValue` - Minimum value for a given range of roman numbers
    `postLetter` - Correspoding letter (roman) to postValue
    `preValue` - Value of last prefixed number within that same range (i.e. IV if postval is 5 (V))
    `preLetter` - Correspoding letter(roman) to preValue

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.